﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

/*
 *         Progetto: CodificheSegnale
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 11/10/2017
 *  
 *      Descrizione: Classe del segnale Manchester (variante IEEE). 
 */

namespace CodificheSegnale
{
    public class SegnaleManchesterIEEE : Segnale
    {
        public SegnaleManchesterIEEE(Canvas area, Point origine, int altezza)
            : base(area, origine, altezza, "Manchester (IEEE 802.3)")
        {
        }

        public override void Codifica(string sequenza)
        {
            StringBuilder sb = new StringBuilder();

            for (int i = 0; i < sequenza.Length; i++)
                if (sequenza[i] == '1')
                    sb.Append("LH");
                else
                    sb.Append("HL");

            bufferLivelli = sb.ToString();
            bufferSequenza = sequenza;
        }
    }
}
