﻿using System.Text;
using System.Windows;
using System.Windows.Controls;

/*
 *         Progetto: CodificheSegnale
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 11/10/2017
 *  
 *      Descrizione: Classe del segnale NRZ. 
 */

namespace CodificheSegnale
{
    public class SegnaleNRZ : Segnale
    {
        public SegnaleNRZ(Canvas area, Point origine, int altezza) : base(area, origine, altezza, "NRZ")
        {
        }

        public override void Codifica(string sequenza)
        {
            StringBuilder sb = new StringBuilder();

            for (int i = 0; i < sequenza.Length; i++)
                if (sequenza[i] == '1')
                    sb.Append("HH");
                else
                    sb.Append("LL");

            bufferLivelli = sb.ToString();
            bufferSequenza = sequenza;
        }
    }
}
